mail::account::hasCapability
Prev | mail::account Native API reference | Next

## Name

mail::account::hasCapability — Mail account's properties

## Synopsis

mail::account *account;

`bool flag=account->fsfunchasCapability(` | std::string capability`)`;

## USAGE

This function checks this mail::account's properties. The list of potential properties, or capabilities, depends on the account. The currently defined list of properties are:

`LIBMAIL_SINGLEFOLDER`

  Whether this account contains a single incoming mail folder (currently only `pop3` accounts have this capability defined).

## RETURN CODES AND CALLBACKS

The `hasCapability` method returns true if the account supports the indicated capability.

Prev | Up | Next
mail::account::getSendFolder | Home | ToC | mail::account::isRemoteUrl